package betterwithmods.common.container.anvil;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.InventoryCraftResult;
import net.minecraft.item.ItemStack;
import net.minecraft.util.text.ITextComponent;
import net.minecraftforge.items.IItemHandlerModifiable;

import javax.annotation.Nonnull;

public class InventoryAnvilResult extends InventoryCraftResult implements IItemHandlerModifiable {

    private IItemHandlerModifiable inventory;
    private Container container;
    private InventoryAnvilCrafting craftingMatrix;

    public InventoryAnvilResult(Container container, IItemHandlerModifiable inventory, InventoryAnvilCrafting craftingMatrix) {
        this.inventory = inventory;
        this.container = container;
        this.craftingMatrix = craftingMatrix;
    }

    @Override
    public int func_70302_i_() {
        return 1;
    }

    @Override
    public boolean func_191420_l() {
        return false;
    }

    @Override
    public int func_70297_j_() {
        return 64;
    }

    @Override
    public void func_70296_d() {
    }

    @Override
    public boolean func_70300_a(EntityPlayer player) {
        return true;
    }

    @Override
    public void func_174889_b(EntityPlayer player) {
    }

    @Override
    public void func_174886_c(EntityPlayer player) {
    }

    @Override
    public boolean func_94041_b(int index, ItemStack stack) {
        return true;
    }

    @Override
    public int func_174887_a_(int id) {
        return 0;
    }

    @Override
    public void func_174885_b(int id, int value) {
    }

    @Override
    public int func_174890_g() {
        return 0;
    }

    @Override
    public void func_174888_l() {
    }

    @Override
    public String func_70005_c_() {
        return null;
    }

    @Override
    public boolean func_145818_k_() {
        return false;
    }

    @Override
    public ITextComponent func_145748_c_() {
        return null;
    }

    /**
     * IItemHandler
     **/

    @Override
    public int getSlots() {
        return inventory.getSlots();
    }

    @Nonnull
    @Override
    public ItemStack insertItem(int slot, @Nonnull ItemStack stack, boolean simulate) {
        return inventory.insertItem(slot, stack, simulate);
    }

    @Nonnull
    @Override
    public ItemStack extractItem(int slot, int amount, boolean simulate) {
        if (!simulate) {
            return func_70298_a(slot, amount);
        } else {
            return ItemStack.field_190927_a;
        }
    }

    @Override
    public int getSlotLimit(int slot) {
        return inventory.getSlotLimit(slot);
    }

    @Override
    public void setStackInSlot(int slot, @Nonnull ItemStack stack) {
        inventory.setStackInSlot(slot, stack);
    }

    @Override
    public ItemStack func_70304_b(int index) {
        ItemStack stack = func_70301_a(index);
        return inventory.extractItem(index, stack.func_190916_E(), false);
    }

    /**
     * IInventory
     **/

    @Override
    public ItemStack func_70298_a(int index, int count) {
        ItemStack stack = inventory.extractItem(index, count, false);
        if (!func_70301_a(0).func_190926_b())
            container.func_75130_a(craftingMatrix);
        return stack;
    }


    @Override
    public void func_70299_a(int index, @Nonnull ItemStack stack) {
        inventory.setStackInSlot(index, stack);
    }

    @Override
    public ItemStack func_70301_a(int index) {
        return inventory.getStackInSlot(index);
    }
}

