package betterwithmods.module.general.moreheads.client.model;

import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;

public class ModelChickenHead extends ModelHead {

    private ModelRenderer bill, chin;

    public ModelChickenHead() {
        super(0, 0, 64, 32);

        this.head = new ModelRenderer(this, 0, 0);
        this.head.func_78790_a(-2.0F, -6.0F, -2.0F, 4, 6, 3, 0.0F);
        this.head.func_78793_a(0.0F, 0.0F, 0.0F);

        this.bill = new ModelRenderer(this, 14, 0);
        this.bill.func_78790_a(-2.0F, -4.0F, -4.0F, 4, 2, 2, 0.0F);
        this.bill.func_78793_a(0.0F, 0.0F,0.0F);
        this.chin = new ModelRenderer(this, 14, 4);
        this.chin.func_78790_a(-1.0F, -2.0F, -3.0F, 2, 2, 2, 0.0F);
        this.chin.func_78793_a(0.0F, 0.0F, 0.0F);

        layer2 = false;
    }

    @Override
    public void func_78088_a(Entity entityIn, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scale) {
        super.func_78088_a(entityIn, limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scale);
        this.bill.func_78785_a(scale);
        this.chin.func_78785_a(scale);
    }

    @Override
    public void func_78087_a(float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scaleFactor, Entity entityIn) {
        super.func_78087_a(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scaleFactor, entityIn);
        this.bill.field_78795_f = this.head.field_78795_f;
        this.bill.field_78796_g = this.head.field_78796_g;
        this.chin.field_78795_f = this.head.field_78795_f;
        this.chin.field_78796_g = this.head.field_78796_g;
    }
}
