package betterwithmods.client.tesr;

import betterwithmods.common.blocks.BlockInfernalEnchanter;
import betterwithmods.common.tile.TileInfernalEnchanter;
import net.minecraft.block.state.IBlockState;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.RenderHelper;
import net.minecraft.client.renderer.block.model.IBakedModel;
import net.minecraft.client.renderer.block.model.ItemCameraTransforms;
import net.minecraft.client.renderer.texture.TextureMap;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.item.ItemStack;
import net.minecraftforge.client.ForgeHooksClient;
import org.lwjgl.opengl.GL11;

public class TESRInfernalEnchanter extends TileEntitySpecialRenderer<TileInfernalEnchanter> {

    @Override
    public void func_192841_a(TileInfernalEnchanter tileEnchanter, double x, double y, double z, float partialTicks, int destroyStage, float alpha) {
        ItemStack activeItem = tileEnchanter.getActiveItem();
        if (!activeItem.func_190926_b()) {
            IBlockState state = tileEnchanter.func_145831_w().func_180495_p(tileEnchanter.func_174877_v());
            if (state.func_177230_c() instanceof BlockInfernalEnchanter) {
                GlStateManager.func_179091_B();
                GlStateManager.func_179092_a(GL11.GL_GREATER, 0.1f);
                GlStateManager.func_179147_l();
                RenderHelper.func_74519_b();
                GlStateManager.func_179120_a(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA, 1, 0);
                GlStateManager.func_179094_E();
                double offset = Math.sin((tileEnchanter.func_145831_w().func_82737_E() + partialTicks) / 8) / 8.0;
                GlStateManager.func_179137_b(x + 0.5, y + .75 + offset, z + 0.5);
                GlStateManager.func_179114_b((tileEnchanter.func_145831_w().func_82737_E() + partialTicks) * 4, 0, 1, 0);

                IBakedModel model = Minecraft.func_71410_x().func_175599_af().func_184393_a(activeItem, tileEnchanter.func_145831_w(), null);
                model = ForgeHooksClient.handleCameraTransforms(model, ItemCameraTransforms.TransformType.GROUND, false);

                Minecraft.func_71410_x().func_110434_K().func_110577_a(TextureMap.field_110575_b);
                Minecraft.func_71410_x().func_175599_af().func_180454_a(activeItem, model);

                GlStateManager.func_179121_F();
                GlStateManager.func_179101_C();
                GlStateManager.func_179084_k();
            }
        }


    }
}
