package betterwithmods.common.container.anvil;

import betterwithmods.module.internal.RecipeRegistry;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.SlotCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.util.NonNullList;

import javax.annotation.Nonnull;

public class SlotAnvilCrafting extends SlotCrafting {

    private final InventoryAnvilCrafting craftingMatrix;
    private final EntityPlayer player;

    public SlotAnvilCrafting(EntityPlayer player, InventoryAnvilCrafting craftingMatrix, IInventory inventoryIn, int slotIndex, int xPosition, int yPosition) {
        super(player, craftingMatrix, inventoryIn, slotIndex, xPosition, yPosition);
        this.craftingMatrix = craftingMatrix;
        this.player = player;
    }

    @Override
    @Nonnull
    public ItemStack func_190901_a(EntityPlayer player, @Nonnull ItemStack stack) {
        this.func_75208_c(stack);
        net.minecraftforge.common.ForgeHooks.setCraftingPlayer(player);
        NonNullList<ItemStack> nonnulllist = RecipeRegistry.ANVIL.getRemainingItems(craftingMatrix, player.func_130014_f_());
        net.minecraftforge.common.ForgeHooks.setCraftingPlayer(null);

        for (int i = 0; i < nonnulllist.size(); ++i) {
            ItemStack itemstack = this.craftingMatrix.func_70301_a(i);
            ItemStack itemstack1 = nonnulllist.get(i);

            if (!itemstack.func_190926_b()) {
                this.craftingMatrix.func_70298_a(i, 1);
                itemstack = this.craftingMatrix.func_70301_a(i);
            }

            if (!itemstack1.func_190926_b()) {
                if (itemstack.func_190926_b()) {
                    this.craftingMatrix.func_70299_a(i, itemstack1);
                } else if (ItemStack.func_179545_c(itemstack, itemstack1) && ItemStack.func_77970_a(itemstack, itemstack1)) {
                    itemstack1.func_190917_f(itemstack.func_190916_E());
                    this.craftingMatrix.func_70299_a(i, itemstack1);
                } else if (!this.player.field_71071_by.func_70441_a(itemstack1)) {
                    this.player.func_71019_a(itemstack1, false);
                }
            }
        }

        return stack;
    }


}
