package betterwithmods.module.general.moreheads.client;

import betterwithmods.library.utils.DirUtils;
import betterwithmods.module.general.moreheads.common.HeadType;
import betterwithmods.module.general.moreheads.common.TileHead;
import net.minecraft.block.state.IBlockState;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.math.Vec3d;

public class TESRHead extends TileEntitySpecialRenderer<TileHead> {

    @Override
    public void func_192841_a(TileHead te, double x, double y, double z, float partialTicks, int destroyStage, float alpha) {
        IBlockState state = te.func_145831_w().func_180495_p(te.func_174877_v());
        EnumFacing facing = state.func_177229_b(DirUtils.FACING);
        HeadType type = te.getType();
        if(type == null)
            return;
        Vec3d t = type.getTranslation(facing);
        if(t != null) {
            Vec3d r = t.func_72441_c(x, y, z);
            RenderHandler.render(type, r.field_72450_a, r.field_72448_b, r.field_72449_c, partialTicks, te.getRotation());
        }
    }


}
