package betterwithmods.module.recipes.miniblocks.blocks;

import betterwithmods.common.entity.EntitySitMount;
import betterwithmods.library.utils.HoldingUtils;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.AxisAlignedBB;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;

public interface ISittable {

    AxisAlignedBB getBoundingBox(IBlockState state, IBlockAccess world, BlockPos pos);

    default void removeEntities(IBlockState state, World world, BlockPos pos) {
        AxisAlignedBB box = getBoundingBox(state, world, pos).func_186662_g(1);
        world.func_72872_a(EntitySitMount.class, box).forEach(EntitySitMount::func_184210_p);
    }

    default boolean attemptToSit(World worldIn, BlockPos pos, IBlockState state, EntityPlayer playerIn, EnumHand hand, EnumFacing facing, float hitX, float hitY, float hitZ) {
        if(playerIn.func_70093_af())
            return false;
        if (!playerIn.func_184218_aH() && HoldingUtils.areHandsEmpty(playerIn) && worldIn.func_72872_a(EntitySitMount.class, getBoundingBox(state, worldIn, pos).func_186670_a(pos)).isEmpty()) {
            EntitySitMount mount = new EntitySitMount(worldIn, getOffset());
            mount.func_70107_b(pos.func_177958_n() + 0.5, pos.func_177956_o() + 0.25, pos.func_177952_p() + 0.5);
            worldIn.func_72838_d(mount);
            playerIn.func_184220_m(mount);
            return true;
        }
        return false;
    }

    double getOffset();

}
